<template>
  <div>
  </div>
</template>

<script>


export default {
  
  data() {
    return {
      opinionDate:'',

      }
    
  },
  
  created() 
  {

            let urlroute = window.location.href.toString();

            let r1 = urlroute.split('?');
            let userid = '';
            let usercode = '';

            if(r1.length != 1){
              userid = r1[1].substring(7);
              

              let userinfo = {
                actUserName:userid,
              }
              this.$store.dispatch('GetUserVM',userinfo).then(rdata=>{
                console.info(rdata);
                if(rdata.userCode != ""){
                  sessionStorage.setItem('usercode',JSON.stringify(rdata.userCode));
                  sessionStorage.setItem('un',JSON.stringify(rdata.userName));
                  sessionStorage.setItem('userid',JSON.stringify(rdata.userID));

                }

                this.$router.push('/main');
              })

             }

      
      
  },
}
</script>
